Bug 521963 - A number of the debug packages have incorrect CRC's and/or bad permissions
Summary: A number of the debug packages have incorrect CRC's and/or bad permissions
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: distribution
Version: 11
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Roland McGrath
QA Contact: Bill Nottingham
URL: http://github.com/stsquad/dbgsym/tree...
Whiteboard:
Depends On: 522194
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-08 21:24 UTC by Alex Bennee
Modified: 2017-01-23 14:55 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-28 14:32:44 UTC


Attachments (Terms of Use)
CRC mismatches found by dbgsyms script (163.38 KB, text/plain)
2009-09-08 21:24 UTC, Alex Bennee
no flags Details

Description Alex Bennee 2009-09-08 21:24:40 UTC
Created attachment 360135 [details]
CRC mismatches found by dbgsyms script

Description of problem:

It seems a number of the debug symbol packages available on the repos have CRC's that don't match the embedded CRC in the actual libraries.

I noticed this when trying to examine a core dump of emacs and saw GDB complaining about a number of the debug files having bad CRCs.

As luck would have it I recently encountered a similar problem on an Ubuntu package and wrote a script to audit all the debug files on the system. You can find the script at:

http://github.com/stsquad/dbgsym/tree/master

I have attached the output of the script on my netbook system to show the extent of the problem.

Additionally some of the debug info has poor permissions which make it hard for userspace to use. For example:

22:21 alex@trent/i686 [~] >ls -l /usr/lib/debug/usr/sbin/glibc_post_upgrade.i686.debug 
-rwx------. 1 root root 1762140 2009-08-04 12:47 /usr/lib/debug/usr/sbin/glibc_post_upgrade.i686.debug

And there is also some weird stuff install (also from glibc) in /usr/lib/debug/.build-id/ which seems to be a bunch of symlinks.

Comment 1 Ondrej Vasik 2009-09-09 04:59:31 UTC
Thanks for report, but basesystem is definitely wrong component - basesystem is just empty metapackages required for dependencies. Better component might be distribution, so reassigning.

Comment 2 Alex Bennee 2009-09-09 07:20:59 UTC
Yeah sorry about that, I was guessing at the package and didn't realise there was a distro component. It's probably a symptom of how packages are built by the backend services. Certainly some debug symbols looks as though they are OK.

Comment 3 Roland McGrath 2009-09-09 18:21:29 UTC
Please cite a particular rpm (n-v-r.a) whose debuginfo has CRC mismatches.

See (gdb)Separate Debug Files to understand what /usr/lib/debug/.build-id is for.

Comment 4 Alex Bennee 2009-09-10 10:40:22 UTC
The packages affected (on my system) are:

glib2-debuginfo-2.20.4-1.fc11.i586
gtk2-debuginfo-2.16.5-1.fc11.i586
fontconfig-debuginfo-2.7.1-1.fc11.i586
glibc-debuginfo-common-2.10.1-5.i586

I guess there would be more if I installed more debug packages.

Comment 5 Roland McGrath 2009-09-10 20:29:52 UTC
I checked glibc-debuginfo-common-2.10.1-5.i586 and found no mismatches.
Please cite an individual file that really has a problem.

Make sure you are not being confused by installed rpm/debuginfo mismatches.  e.g. you might have glibc-common-2.10.1-5.x86_64 installed instead of or next to the .i586 package and be confused by biarch rpm behavior.  Check files with rpm -qf.
You can also use "eu-unstrip -n -e foo" (or eu-readelf -n) to see the build ID and verify you are comparing foo and foo.debug that really match.

Comment 6 Bug Zapper 2010-04-28 10:14:39 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 7 Bug Zapper 2010-06-28 14:32:44 UTC
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 8 Alex Bennee 2017-01-23 14:55:58 UTC
This is EOL so hopefully will stop bugging me.


Note You need to log in before you can comment on or make changes to this bug.